Unit tzf16e_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF16D_p, ZF16E_p;

function tzf16e: String; 

implementation

function tzf16e: String;
var
ITMAX,IERR :Integer;
A,B,EPS,ROOT :Extended;
begin
Result := '';
A := -2.57e0;
B := 1.57e0;
EPS := 1.e-5;
ITMAX := 30;
ZF16E(FZF16D,A,B,EPS,ROOT,ITMAX,IERR);
Result := Result + Format('%20.16f %5d %5d ',[ROOT,_ZF16RR.elm1,IERR]) + #$0D#$0A;
UtRes('tzf16e',Result);  //    tzf16e.res
exit;
end;

end.
